## zabbix 3.0.4+dfsg

=== debian/changelog ===
zabbix (1:3.0.4+dfsg-1) unstable; urgency=medium

  * New upstream release [July 2016].

 -- Dmitry Smirnov <onlyjob@debian.org>  Sat, 06 Aug 2016 14:21:45 +1000

=== debian/control ===
Source: zabbix
Section: net
Priority: optional
Maintainer: Dmitry Smirnov <onlyjob@debian.org>
Uploaders: Christoph Haas <haas@debian.org>
Build-Depends: debhelper (>= 9), automake, dh-autoreconf, dh-systemd (>= 1.5), dh-linktree, apache2-dev
    ,libcurl4-gnutls-dev
    ,libgnutls28-dev | gnutls-dev
    ,libiksemel-dev
    ,libldap2-dev
    ,libmysqlclient-dev
# libopenipmi-dev is not available on some architectures
    ,libopenipmi-dev [!hurd-any !arm]
    ,libpq-dev
    ,libsnmp-dev
    ,libsqlite3-dev
    ,libssh2-1-dev
    ,libxml2-dev
    ,pkg-config
    ,unixodbc-dev
## dh-linktree:
    ,libjs-prototype
    ,libjs-jquery-ui (>= 1.10.1)
    ,libjs-jquery (>= 1.10.1)
## java-gateway deps:
    ,javahelper
Build-Depends-Indep: default-jdk
    ,libandroid-json-org-java
    ,liblogback-java
    ,libslf4j-java
    ,junit4
## frontends/php/locale/*.sh:
    ,gettext
Standards-Version: 3.9.8
Homepage: http://zabbix.com
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/zabbix.git
Vcs-Git: https://anonscm.debian.org/git/collab-maint/zabbix.git

Package: zabbix-agent
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ucf, adduser, lsb-base
        ,pciutils
Recommends: usbutils
Suggests: logrotate
Description: network monitoring solution - agent
 Zabbix is a server/client network monitoring system with many features.
 It can be used for:
 .
  - high level monitoring of IT services;
  - centralized monitoring of your servers and applications;
  - monitoring of SNMP-enabled devices;
  - performance monitoring (process load, network activity, disk
    activity, memory usage, OS parameters etc.);
  - data visualization.
 .
 This package provides the software needed to monitor a host using a
 Zabbix agent.

Package: zabbix-frontend-php
Architecture: all
Depends: ${misc:Depends}, ucf
    ,php
    ,php-bcmath
    ,php-gd
    ,php-mbstring
    ,php-xml
    ,php-pgsql | php-mysql | php-sqlite3
    ,ttf-dejavu-core
Recommends: ${misc:Recommends}
    ,php-ldap
    ,libapache2-mod-php | php-fpm
Description: network monitoring solution - PHP front-end
 Zabbix is a server/client network monitoring system with many features.
 It can be used for:
 .
  - high level monitoring of IT services;
  - centralized monitoring of your servers and applications;
  - monitoring of SNMP-enabled devices;
  - performance monitoring (process load, network activity, disk
    activity, memory usage, OS parameters etc.);
  - data visualization.
 .
 This package provides a web-browsable front-end to the Zabbix server, which
 can display graphs of the data collected from clients.

Package: zabbix-java-gateway
Architecture: all
Depends: ${java:Depends}, ${misc:Depends}, adduser, lsb-base
Recommends: ${java:Recommends}
Description: network monitoring solution - Java gateway
 Zabbix is a server/client network monitoring system with many features.
 It can be used for:
 .
  - high level monitoring of IT services;
  - centralized monitoring of your servers and applications;
  - monitoring of SNMP-enabled devices;
  - performance monitoring (process load, network activity, disk
    activity, memory usage, OS parameters etc.);
  - data visualization.
 .
 This package provides the software needed to monitor Java applications
 using a Zabbix Java gateway. It collects information from JMX agent.

Package: zabbix-proxy-mysql
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, fping, adduser, lsb-base
Recommends: mysql-server | virtual-mysql-server
Suggests: logrotate
Conflicts: zabbix-proxy-pgsql, zabbix-proxy-sqlite3, zabbix-server-mysql, zabbix-server-pgsql, zabbix-server-sqlite3
Description: network monitoring solution - proxy (using MySQL)
 Zabbix is a server/client network monitoring system with many features.
 It can be used for:
 .
  - high level monitoring of IT services;
  - centralized monitoring of your servers and applications;
  - monitoring of SNMP-enabled devices;
  - performance monitoring (process load, network activity, disk
    activity, memory usage, OS parameters etc.);
  - data visualization.
 .
 This package provides the software needed to integrate a host as a Zabbix
 proxy. It collects information from Zabbix agents, temporarily stores it
 in a MySQL database and then passes it to a Zabbix server.

Package: zabbix-proxy-pgsql
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, fping, adduser, lsb-base
Recommends: postgresql
Conflicts: zabbix-proxy-mysql, zabbix-proxy-sqlite3, zabbix-server-mysql, zabbix-server-pgsql, zabbix-server-sqlite3
Suggests: logrotate
Description: network monitoring solution - proxy (using PostgreSQL)
 Zabbix is a server/client network monitoring system with many features.
 It can be used for:
 .
  - high level monitoring of IT services;
  - centralized monitoring of your servers and applications;
  - monitoring of SNMP-enabled devices;
  - performance monitoring (process load, network activity, disk
    activity, memory usage, OS parameters etc.);
  - data visualization.
 .
 This package provides the software needed to integrate a host as a Zabbix
 proxy. It collects information from Zabbix agents, temporarily stores it
 in a PostgreSQL database and then passes it to a Zabbix server.

Package: zabbix-proxy-sqlite3
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, fping, adduser, lsb-base, sqlite3
Suggests: logrotate
Conflicts: zabbix-proxy-pgsql, zabbix-proxy-mysql, zabbix-server-mysql, zabbix-server-pgsql, zabbix-server-sqlite3
Description: network monitoring solution - proxy (using SQLite3)
 Zabbix is a server/client network monitoring system with many features.
 It can be used for:
 .
  - high level monitoring of IT services;
  - centralized monitoring of your servers and applications;
  - monitoring of SNMP-enabled devices;
  - performance monitoring (process load, network activity, disk
    activity, memory usage, OS parameters etc.);
  - data visualization.
 .
 This package provides the software needed to integrate a host as a Zabbix
 proxy. It collects information from Zabbix agents, temporarily stores it
 in an SQLite3 database and then passes it to a Zabbix server.

Package: zabbix-server-mysql
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, fping, adduser, lsb-base
Recommends: mysql-server | virtual-mysql-server, snmpd
           ,nmap
           ,traceroute
Suggests: zabbix-frontend-php, logrotate, sudo
# SNMP:   snmp-mibs-downloader (non-free) may be required when MIBs are missing, see #740815
         ,snmp-mibs-downloader
Conflicts: zabbix-server-pgsql, zabbix-server-sqlite3, zabbix-proxy-mysql, zabbix-proxy-pgsql, zabbix-proxy-sqlite3
Description: network monitoring solution - server (using MySQL)
 Zabbix is a server/client network monitoring system with many features.
 It can be used for:
 .
  - high level monitoring of IT services;
  - centralized monitoring of your servers and applications;
  - monitoring of SNMP-enabled devices;
  - performance monitoring (process load, network activity, disk
    activity, memory usage, OS parameters etc.);
  - data visualization.
 .
 This package provides the software needed to integrate a host as a Zabbix
 client. It collects information from Zabbix clients and stores it in a
 MySQL database.

Package: zabbix-server-pgsql
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, fping, adduser, lsb-base
Recommends: postgresql, snmpd
           ,nmap
           ,traceroute
Suggests: zabbix-frontend-php, logrotate, sudo
# SNMP:   snmp-mibs-downloader (non-free) may be required when MIBs are missing, see #740815
         ,snmp-mibs-downloader
Conflicts: zabbix-server-mysql, zabbix-server-sqlite3, zabbix-proxy-mysql, zabbix-proxy-pgsql, zabbix-proxy-sqlite3
Description: network monitoring solution - server (using PostgreSQL)
 Zabbix is a server/client network monitoring system with many features.
 It can be used for:
 .
  - high level monitoring of IT services;
  - centralized monitoring of your servers and applications;
  - monitoring of SNMP-enabled devices;
  - performance monitoring (process load, network activity, disk
    activity, memory usage, OS parameters etc.);
  - data visualization.
 .
 This package provides the software needed to integrate a host as a Zabbix
 client. It collects information from Zabbix clients and stores it in a
 PostgreSQL database.

#Package: zabbix-server-sqlite3
#Architecture: any
#Depends: ${shlibs:Depends}, ${misc:Depends}, fping, adduser, lsb-base
#Recommends: snmpd
#           ,nmap
#           ,traceroute
#Suggests: logrotate, sudo
# SNMP:   snmp-mibs-downloader (non-free) may be required when MIBs are missing, see #740815
#         ,snmp-mibs-downloader
#Conflicts: zabbix-server-mysql, zabbix-server-pgsql, zabbix-proxy-mysql, zabbix-proxy-pgsql, zabbix-proxy-sqlite3
#Description: network monitoring solution - server (using SQLite3)
# Zabbix is a server/client network monitoring system with many features.
# It can be used for:
# .
#  - high level monitoring of IT services;
#  - centralized monitoring of your servers and applications;
#  - monitoring of SNMP-enabled devices;
#  - performance monitoring (process load, network activity, disk
#    activity, memory usage, OS parameters etc.);
#  - data visualization.
# .
# This package provides the software needed to integrate a host as a Zabbix
# client. It collects information from Zabbix clients and stores it in a
# Sqlite3 file/database
# .
# Warning: zabbix-server/SQLite3 is experimental and may be unstable.
# Upstream do not support it.
# KNOWN BUG: Causing deadlock with frontend-php.

=== debian/rules ===
#!/usr/bin/make -f

# Enable this export to get more detailed information about what debhelper does
#export DH_VERBOSE=1

## Define the names of the resulting binary packages
PKG_AGENT = zabbix-agent
PKG_FRONTEND = zabbix-frontend-php
PKG_GATEWAY_JAVA = zabbix-java-gateway
PKG_PROXY_MYSQL = zabbix-proxy-mysql
PKG_PROXY_PGSQL = zabbix-proxy-pgsql
PKG_PROXY_SQLITE3 = zabbix-proxy-sqlite3
PKG_SERVER_MYSQL = zabbix-server-mysql
PKG_SERVER_PGSQL = zabbix-server-pgsql
PKG_SERVER_SQLITE3 = zabbix-server-sqlite3

# parallel build by default on linux
ifeq ($(DEB_HOST_ARCH_OS),linux)
    ifeq ($(findstring parallel=,$(DEB_BUILD_OPTIONS)),)
        export DEB_BUILD_OPTIONS+=parallel=$(shell getconf _NPROCESSORS_ONLN)
    endif
endif
$(info DEB_BUILD_OPTIONS=$(DEB_BUILD_OPTIONS))

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
export DEB_HOST_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
export DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

# Squeeze backporters: --export=configure is not available on Squeeze
#DPKG_BUILDFLAGS := $(shell DEB_CFLAGS_MAINT_APPEND=-Wall dpkg-buildflags --export=configure)

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

# minimise needless linking
export DEB_LDFLAGS_MAINT_APPEND= -Wl,--as-needed

CONFFLAGS_COMMON  = --host=$(DEB_HOST_GNU_TYPE) \
                    --build=$(DEB_BUILD_GNU_TYPE) \
                    --datadir=/etc \
                    --sysconfdir=/etc/zabbix \
                    --prefix=/usr \
                    --infodir=\$${prefix}/share/info \
                    --mandir=\$${prefix}/share/man \
                    --enable-agent \
                    --enable-proxy \
                    --enable-server \
                    --enable-ipv6 \
                    --with-gnutls \
                    --with-jabber \
                    --with-ldap \
                    --with-libcurl \
                    --with-libxml2 \
                    --with-net-snmp \
                    --with-ssh2 \
                    --with-unixodbc

## Hurd and kFreeBSD only have Java 1.5 which can't compile java-gateway sources...
#ifneq ($(DEB_BUILD_ARCH_OS),hurd)
#ifneq ($(DEB_BUILD_ARCH_OS),kfreebsd)
#CONFFLAGS_COMMON += --enable-java
#endif
#endif
CONFFLAG_IPMI           = $(if $(shell dpkg --status libopenipmi-dev &>/dev/null),--with-openipmi)
CONFFLAG_SERVER_MYSQL   = --with-mysql
CONFFLAG_SERVER_PGSQL   = --with-postgresql
CONFFLAG_SERVER_SQLITE3 = --with-sqlite3
BUILD_PREFIX := $(CURDIR)/debian/tmp-build

# The Zabbix sources are compiled once for each database backends (VARIANT).
# The proxy and server packages always contain one kind of database support.
# The zabbix-agent and zabbix-frontend-php package do not have any kind of
# database support and are created from one of the above mentioned builds.
VARIANTS := MYSQL PGSQL SQLITE3

%:
	dh $@ --parallel --max-parallel=4 --with autoreconf,javahelper,systemd,linktree,apache2

override_dh_clean:
	@echo "Removing build directories in $(BUILD_PREFIX)"
	$(RM) -r debian/tmp*
	dh_clean \
            config.log debian/*.debhelper \
            frontends/php/js/vendors/jquery.js \
            frontends/php/js/vendors/jquery-ui.js \
            *.jar

# use --as-needed only if supported by dh-autoreconf (to simplify backporting)
DH_AS_NEEDED=$(shell dpkg --compare-versions $$(dpkg --status dh-autoreconf | grep Version | cut -d' ' -f2) ge 6 && echo --as-needed)
override_dh_autoreconf:
	dh_autoreconf $(DH_AS_NEEDED)

override_dh_auto_configure:
	## Copy the source directory (without the 'debian' directory) to build locations
	## to configure and compile the sources there for each database flavor.
	for i in $(VARIANTS); do \
            mkdir $(BUILD_PREFIX)-$$i ;\
            tar -cSf - --exclude=./.svn --exclude=./debian . \
            | tar -xSpf - -C $(BUILD_PREFIX)-$$i ;\
        done
	$(foreach i,$(VARIANTS), \
        dh_auto_configure --sourcedirectory=$(BUILD_PREFIX)-$i --max-parallel=4 -- \
            $(CONFFLAGS_COMMON) $(CONFFLAG_IPMI) $(CONFFLAG_SERVER_$i) \
    ;)

override_dh_auto_build:
	$(foreach i,$(VARIANTS), \
        dh_auto_build --sourcedirectory=$(BUILD_PREFIX)-$i --max-parallel=4 \
    ;)

build-indep:
	## build translations:
	cd frontends/php/locale && ./update_po.sh
	cd frontends/php/locale && ./make_mo.sh
	## build zabbix-java-gateway.jar
	## override_jh_build:
	JAVA_HOME=/usr/lib/jvm/default-java \
        CLASSPATH=/usr/share/java/json.jar:/usr/share/java/logback-core.jar:/usr/share/java/logback-classic.jar:/usr/share/java/slf4j-api.jar \
        jh_build --no-javadoc --main=com.zabbix.gateway.JavaGateway zabbix-java-gateway.jar src/zabbix_java/src/com

override_dh_auto_install:
	@echo "Replacing sourceless (minified) bundled libraries..."
	cp -vfH debian/missing-sources/jquery.js  frontends/php/js/vendors/jquery.js
	cp -vfH debian/missing-sources/jquery-ui.js  frontends/php/js/vendors/jquery-ui.js
	## build man pages
	if [ -d "$(BUILD_PREFIX)-MYSQL/man" ]; then \
            dh_auto_install --sourcedirectory=$(BUILD_PREFIX)-MYSQL/man \
              --destdir=$(CURDIR)/debian/tmp ;\
        fi

override_dh_install:
	dh_install
	for i in debian/zabbix-*-*; do \
            find $$i -type f -name '*.sql' -printf 'compressing %p\n' \
                -exec gzip -n -9 '{}' \;;\
        done
	## Those files need to be renamed:
	if [ -d "$(CURDIR)/debian/$(PKG_GATEWAY_JAVA)" ]; then \
            cp -v src/zabbix_java/lib/logback.xml  $(CURDIR)/debian/$(PKG_GATEWAY_JAVA)/etc/zabbix/zabbix_java_gateway.logback.xml ;\
            cp -v src/zabbix_java/settings.sh  $(CURDIR)/debian/$(PKG_GATEWAY_JAVA)/etc/zabbix/zabbix_java_gateway.conf ;\
        fi
        ## Directories will be replaced with symlinks:
	if [ -d "$(CURDIR)/debian/$(PKG_FRONTEND)" ]; then \
            rmdir -v $(CURDIR)/debian/$(PKG_FRONTEND)/usr/share/zabbix/local/app/controllers ;\
            rmdir -v $(CURDIR)/debian/$(PKG_FRONTEND)/usr/share/zabbix/local/app/views ;\
        fi
        ## Remove .po files to save space in frontend-php:
	if [ -d "$(CURDIR)/debian/$(PKG_FRONTEND)" ]; then \
            $(RM) -v $(CURDIR)/debian/$(PKG_FRONTEND)/usr/share/zabbix/locale/*/LC_MESSAGES/*.po ;\
        fi

override_jh_depends:
	## make sure java-gateway.jar is executable. This is needed for jh_depends to generate correct {java:Depends}
	if [ -d "$(CURDIR)/debian/$(PKG_GATEWAY_JAVA)" ]; then \
            chmod -v +x $(CURDIR)/debian/$(PKG_GATEWAY_JAVA)/usr/sbin/*.jar ;\
        fi
	jh_depends -v -p$(PKG_GATEWAY_JAVA)

override_dh_apache2:
	dh_apache2 --noenable

override_dh_installinit:
	dh_installinit -p $(PKG_AGENT)
	dh_installinit -p $(PKG_GATEWAY_JAVA)
	dh_installinit -p $(PKG_PROXY_MYSQL) --name zabbix-proxy --no-start
	dh_installinit -p $(PKG_PROXY_PGSQL) --name zabbix-proxy --no-start
	dh_installinit -p $(PKG_PROXY_SQLITE3) --name zabbix-proxy --no-start
	dh_installinit -p $(PKG_SERVER_MYSQL) --name zabbix-server --no-start
	dh_installinit -p $(PKG_SERVER_PGSQL) --name zabbix-server --no-start
	dh_installinit -p $(PKG_SERVER_SQLITE3) --name zabbix-server --no-start

## zabbix 3.0.5+dfsg

=== debian/changelog ===
zabbix (1:3.0.5+dfsg-1) unstable; urgency=medium

  * New upstream release [September 2016].
  * Switch to "libandroid-json-java" (Closes: #838034).
  * Switch to default-mysql-* metapackages.
  * New patch to fix FTBFS with MariaDB.
  * rules: don't ignore "configure" errors.

 -- Dmitry Smirnov <onlyjob@debian.org>  Sat, 08 Oct 2016 11:27:07 +1100

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
     ,libgnutls28-dev | gnutls-dev
     ,libiksemel-dev
     ,libldap2-dev
-    ,libmysqlclient-dev
+    ,default-libmysqlclient-dev
 # libopenipmi-dev is not available on some architectures
     ,libopenipmi-dev [!hurd-any !arm]
     ,libpq-dev
@@ -25,7 +25,7 @@
 ## java-gateway deps:
     ,javahelper
 Build-Depends-Indep: default-jdk
-    ,libandroid-json-org-java
+    ,libandroid-json-java
     ,liblogback-java
     ,libslf4j-java
     ,junit4
@@ -104,7 +104,7 @@
 Package: zabbix-proxy-mysql
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, fping, adduser, lsb-base
-Recommends: mysql-server | virtual-mysql-server
+Recommends: default-mysql-server | virtual-mysql-server
 Suggests: logrotate
 Conflicts: zabbix-proxy-pgsql, zabbix-proxy-sqlite3, zabbix-server-mysql, zabbix-server-pgsql, zabbix-server-sqlite3
 Description: network monitoring solution - proxy (using MySQL)
@@ -166,7 +166,7 @@
 Package: zabbix-server-mysql
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, fping, adduser, lsb-base
-Recommends: mysql-server | virtual-mysql-server, snmpd
+Recommends: default-mysql-server | virtual-mysql-server, snmpd
            ,nmap
            ,traceroute
 Suggests: zabbix-frontend-php, logrotate, sudo

=== debian/rules ===
--- 
+++ 
@@ -98,10 +98,11 @@
             tar -cSf - --exclude=./.svn --exclude=./debian . \
             | tar -xSpf - -C $(BUILD_PREFIX)-$$i ;\
         done
-	$(foreach i,$(VARIANTS), \
-        dh_auto_configure --sourcedirectory=$(BUILD_PREFIX)-$i --max-parallel=4 -- \
-            $(CONFFLAGS_COMMON) $(CONFFLAG_IPMI) $(CONFFLAG_SERVER_$i) \
-    ;)
+	set -e ;\
+$(foreach i,$(VARIANTS), \
+    dh_auto_configure --sourcedirectory=$(BUILD_PREFIX)-$i --max-parallel=4 -- \
+      $(CONFFLAGS_COMMON) $(CONFFLAG_IPMI) $(CONFFLAG_SERVER_$i) ;\
+)
 
 override_dh_auto_build:
 	$(foreach i,$(VARIANTS), \
@@ -115,7 +116,7 @@
 	## build zabbix-java-gateway.jar
 	## override_jh_build:
 	JAVA_HOME=/usr/lib/jvm/default-java \
-        CLASSPATH=/usr/share/java/json.jar:/usr/share/java/logback-core.jar:/usr/share/java/logback-classic.jar:/usr/share/java/slf4j-api.jar \
+        CLASSPATH=/usr/share/java/com.android.json.jar:/usr/share/java/logback-core.jar:/usr/share/java/logback-classic.jar:/usr/share/java/slf4j-api.jar \
         jh_build --no-javadoc --main=com.zabbix.gateway.JavaGateway zabbix-java-gateway.jar src/zabbix_java/src/com
 
 override_dh_auto_install:

## zabbix 3.0.6+dfsg

=== debian/changelog ===
zabbix (1:3.0.6+dfsg-1) unstable; urgency=medium

  * New upstream release [Decembeer 2016].
  * Removed obsolete "build-m4-mariadb.patch".
  * CVE-2016-9140: improved API script.execute validation (Closes: #842702).
  * Re-build .css files; Build-Depends += "ruby-sass".

 -- Dmitry Smirnov <onlyjob@debian.org>  Sat, 10 Dec 2016 11:52:33 +1100

## zabbix 3.0.7+dfsg

=== debian/changelog ===
zabbix (1:3.0.7+dfsg-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.
  * Revert "Switch to "libandroid-json-java".

 -- Dmitry Smirnov <onlyjob@debian.org>  Mon, 16 Jan 2017 11:43:26 +1100

zabbix (1:3.0.7+dfsg-1) unstable; urgency=medium

  * New upstream release [December 2016].

 -- Dmitry Smirnov <onlyjob@debian.org>  Sat, 31 Dec 2016 10:30:05 +1100

zabbix (1:3.0.4+dfsg-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Dmitry Smirnov <onlyjob@debian.org>  Sat, 13 Aug 2016 11:05:27 +1000

zabbix (1:3.0.3+dfsg-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Dmitry Smirnov <onlyjob@debian.org>  Mon, 06 Jun 2016 01:50:12 +1000

zabbix (1:3.0.1+dfsg-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.
  * control: added php5 alternatives.
  * Updated nginx config to use php5-fpm.

 -- Dmitry Smirnov <onlyjob@debian.org>  Sun, 13 Mar 2016 20:33:20 +1100

zabbix (1:2.4.7+dfsg-2~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Dmitry Smirnov <onlyjob@debian.org>  Sun, 21 Feb 2016 13:13:40 +1100

zabbix (1:2.4.7+dfsg-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Dmitry Smirnov <onlyjob@debian.org>  Thu, 07 Jan 2016 12:08:05 +1100

=== debian/control ===
--- 
+++ 
@@ -25,12 +25,14 @@
 ## java-gateway deps:
     ,javahelper
 Build-Depends-Indep: default-jdk
-    ,libandroid-json-java
+    ,libandroid-json-org-java
     ,liblogback-java
     ,libslf4j-java
     ,junit4
 ## frontends/php/locale/*.sh:
     ,gettext
+## frontends/php/styles/*.css:
+    ,ruby-sass
 Standards-Version: 3.9.8
 Homepage: http://zabbix.com
 Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/zabbix.git
@@ -59,16 +61,13 @@
 Package: zabbix-frontend-php
 Architecture: all
 Depends: ${misc:Depends}, ucf
-    ,php
-    ,php-bcmath
-    ,php-gd
-    ,php-mbstring
-    ,php-xml
-    ,php-pgsql | php-mysql | php-sqlite3
+    ,php5 | php
+    ,php5-gd | php-gd
+    ,php5-pgsql | php5-mysql | php5-sqlite | php-pgsql | php-mysql | php-sqlite3
     ,ttf-dejavu-core
 Recommends: ${misc:Recommends}
-    ,php-ldap
-    ,libapache2-mod-php | php-fpm
+    ,php5-ldap | php-ldap
+    ,libapache2-mod-php | php5-fpm | php-fpm
 Description: network monitoring solution - PHP front-end
  Zabbix is a server/client network monitoring system with many features.
  It can be used for:

=== debian/rules ===
--- 
+++ 
@@ -105,18 +105,21 @@
 )
 
 override_dh_auto_build:
+	set -e ;\
 	$(foreach i,$(VARIANTS), \
         dh_auto_build --sourcedirectory=$(BUILD_PREFIX)-$i --max-parallel=4 \
     ;)
 
 build-indep:
+	## build styles:
+	$(MAKE) -f Makefile.am css
 	## build translations:
 	cd frontends/php/locale && ./update_po.sh
 	cd frontends/php/locale && ./make_mo.sh
 	## build zabbix-java-gateway.jar
 	## override_jh_build:
 	JAVA_HOME=/usr/lib/jvm/default-java \
-        CLASSPATH=/usr/share/java/com.android.json.jar:/usr/share/java/logback-core.jar:/usr/share/java/logback-classic.jar:/usr/share/java/slf4j-api.jar \
+        CLASSPATH=/usr/share/java/json.jar:/usr/share/java/logback-core.jar:/usr/share/java/logback-classic.jar:/usr/share/java/slf4j-api.jar \
         jh_build --no-javadoc --main=com.zabbix.gateway.JavaGateway zabbix-java-gateway.jar src/zabbix_java/src/com
 
 override_dh_auto_install:

## zabbix 3.0.12%2Bdfsg

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Dmitry Smirnov <onlyjob@debian.org>
 Uploaders: Christoph Haas <haas@debian.org>
-Build-Depends: debhelper (>= 9), automake, dh-autoreconf, dh-systemd (>= 1.5), dh-linktree, apache2-dev
+Build-Depends: debhelper (>= 10), automake, dh-linktree, apache2-dev
     ,libcurl4-gnutls-dev
     ,libgnutls28-dev | gnutls-dev
     ,libiksemel-dev
@@ -21,11 +21,11 @@
 ## dh-linktree:
     ,libjs-prototype
     ,libjs-jquery-ui (>= 1.10.1)
-    ,libjs-jquery (>= 1.10.1)
+#   ,libjs-jquery (>= 1.10.1)
 ## java-gateway deps:
     ,javahelper
 Build-Depends-Indep: default-jdk
-    ,libandroid-json-org-java
+    ,libandroid-json-java
     ,liblogback-java
     ,libslf4j-java
     ,junit4
@@ -33,7 +33,7 @@
     ,gettext
 ## frontends/php/styles/*.css:
     ,ruby-sass
-Standards-Version: 3.9.8
+Standards-Version: 4.1.1
 Homepage: http://zabbix.com
 Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/zabbix.git
 Vcs-Git: https://anonscm.debian.org/git/collab-maint/zabbix.git
@@ -61,13 +61,16 @@
 Package: zabbix-frontend-php
 Architecture: all
 Depends: ${misc:Depends}, ucf
-    ,php5 | php
-    ,php5-gd | php-gd
-    ,php5-pgsql | php5-mysql | php5-sqlite | php-pgsql | php-mysql | php-sqlite3
+    ,php
+    ,php-bcmath
+    ,php-gd
+    ,php-mbstring
+    ,php-xml
+    ,php-pgsql | php-mysql | php-sqlite3
     ,ttf-dejavu-core
 Recommends: ${misc:Recommends}
-    ,php5-ldap | php-ldap
-    ,libapache2-mod-php | php5-fpm | php-fpm
+    ,php-ldap
+    ,libapache2-mod-php | php-fpm
 Description: network monitoring solution - PHP front-end
  Zabbix is a server/client network monitoring system with many features.
  It can be used for:

=== debian/rules ===
--- 
+++ 
@@ -12,7 +12,7 @@
 PKG_PROXY_SQLITE3 = zabbix-proxy-sqlite3
 PKG_SERVER_MYSQL = zabbix-server-mysql
 PKG_SERVER_PGSQL = zabbix-server-pgsql
-PKG_SERVER_SQLITE3 = zabbix-server-sqlite3
+#PKG_SERVER_SQLITE3 = zabbix-server-sqlite3
 
 # parallel build by default on linux
 ifeq ($(DEB_HOST_ARCH_OS),linux)
@@ -119,7 +119,7 @@
 	## build zabbix-java-gateway.jar
 	## override_jh_build:
 	JAVA_HOME=/usr/lib/jvm/default-java \
-        CLASSPATH=/usr/share/java/json.jar:/usr/share/java/logback-core.jar:/usr/share/java/logback-classic.jar:/usr/share/java/slf4j-api.jar \
+        CLASSPATH=/usr/share/java/com.android.json.jar:/usr/share/java/logback-core.jar:/usr/share/java/logback-classic.jar:/usr/share/java/slf4j-api.jar \
         jh_build --no-javadoc --main=com.zabbix.gateway.JavaGateway zabbix-java-gateway.jar src/zabbix_java/src/com
 
 override_dh_auto_install:
@@ -171,4 +171,6 @@
 	dh_installinit -p $(PKG_PROXY_SQLITE3) --name zabbix-proxy --no-start
 	dh_installinit -p $(PKG_SERVER_MYSQL) --name zabbix-server --no-start
 	dh_installinit -p $(PKG_SERVER_PGSQL) --name zabbix-server --no-start
+ifdef PKG_SERVER_SQLITE3
 	dh_installinit -p $(PKG_SERVER_SQLITE3) --name zabbix-server --no-start
+endif

## zabbix 3.0.12+dfsg

=== debian/changelog ===
zabbix (1:3.0.12+dfsg-1) unstable; urgency=medium

  * New upstream release [October 2017].
    + fixed SMTP AUTH LOGIN (Closes: #863281).
  * rules: fixed FTBFS with debhelper 10.9 (Closes: #878560).
  * Debhelper & compat to version 10.
  * Standards-Version: 4.1.1.
  * java-gateway: set JAVA_OPTIONS in .service file (Closes: #872757).
    Thanks, Jaroslaw Pomorski.
  * Removed mentioning of /etc/default files from READMEs (Closes: #860267).
    Thanks, Vincent Férotin.

 -- Dmitry Smirnov <onlyjob@debian.org>  Sun, 29 Oct 2017 21:47:20 +1100

zabbix (1:3.0.7+dfsg-3) unstable; urgency=high

  * CVE-2017-2824, CVE-2017-2825: new upstream patches
    "ZBX-12075_r67082.patch", "ZBX-12075_r67270.patch" (Closes: #863584).

 -- Dmitry Smirnov <onlyjob@debian.org>  Sun, 04 Jun 2017 17:14:06 +1000

zabbix (1:3.0.7+dfsg-2) unstable; urgency=medium

  * Frontend-PHP: switch to private jQuery (Closes: #857287).

 -- Dmitry Smirnov <onlyjob@debian.org>  Sun, 21 May 2017 13:56:56 +1000

## zabbix 3.0.17+dfsg

=== debian/changelog ===
zabbix (1:3.0.17+dfsg-1) unstable; urgency=medium

  * New upstream release [May 2018].
    + Fixed FTBFS "configure: error: PostgreSQL version mismatch"
      (Closes: #897457).
  * agent/logrotate: prevented error when agent is not running
    (Closes: #859651).
    Thanks, Andrei Romila.
  * Updated Vcs URLs for Salsa.
  * Standards-Version: 4.1.4.
  * Debhelper & compat to version 11.

 -- Dmitry Smirnov <onlyjob@debian.org>  Tue, 15 May 2018 00:52:26 +1000

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Dmitry Smirnov <onlyjob@debian.org>
 Uploaders: Christoph Haas <haas@debian.org>
-Build-Depends: debhelper (>= 10), automake, dh-linktree, apache2-dev
+Build-Depends: debhelper (>= 11~), automake, dh-linktree, apache2-dev
     ,libcurl4-gnutls-dev
     ,libgnutls28-dev | gnutls-dev
     ,libiksemel-dev
@@ -33,10 +33,10 @@
     ,gettext
 ## frontends/php/styles/*.css:
     ,ruby-sass
-Standards-Version: 4.1.1
+Standards-Version: 4.1.4
 Homepage: http://zabbix.com
-Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/zabbix.git
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/zabbix.git
+Vcs-Browser: https://salsa.debian.org/debian/zabbix
+Vcs-Git: https://salsa.debian.org/debian/zabbix.git
 
 Package: zabbix-agent
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -13,14 +13,6 @@
 PKG_SERVER_MYSQL = zabbix-server-mysql
 PKG_SERVER_PGSQL = zabbix-server-pgsql
 #PKG_SERVER_SQLITE3 = zabbix-server-sqlite3
-
-# parallel build by default on linux
-ifeq ($(DEB_HOST_ARCH_OS),linux)
-    ifeq ($(findstring parallel=,$(DEB_BUILD_OPTIONS)),)
-        export DEB_BUILD_OPTIONS+=parallel=$(shell getconf _NPROCESSORS_ONLN)
-    endif
-endif
-$(info DEB_BUILD_OPTIONS=$(DEB_BUILD_OPTIONS))
 
 # These are used for cross-compiling and for saving the configure script
 # from having to guess our platform (since we know it already)
@@ -74,7 +66,7 @@
 VARIANTS := MYSQL PGSQL SQLITE3
 
 %:
-	dh $@ --parallel --max-parallel=4 --with autoreconf,javahelper,systemd,linktree,apache2
+	dh $@ --max-parallel=4 --with javahelper,linktree,apache2
 
 override_dh_clean:
 	@echo "Removing build directories in $(BUILD_PREFIX)"
@@ -160,6 +152,12 @@
         fi
 	jh_depends -v -p$(PKG_GATEWAY_JAVA)
 
+## jh_linkjars override is necessary with DH-11 due to the following error:
+##   jh_linkjars -O--max-parallel=4 -Nzabbix-frontend-php -Nzabbix-java-gateway
+##   Invalid option: N
+override_jh_linkjars:
+	jh_linkjars -v
+
 override_dh_apache2:
 	dh_apache2 --noenable
 
@@ -174,3 +172,15 @@
 ifdef PKG_SERVER_SQLITE3
 	dh_installinit -p $(PKG_SERVER_SQLITE3) --name zabbix-server --no-start
 endif
+
+override_dh_installsystemd:
+	dh_installsystemd -p $(PKG_AGENT)
+	dh_installsystemd -p $(PKG_GATEWAY_JAVA)
+	dh_installsystemd -p $(PKG_PROXY_MYSQL) --name zabbix-proxy --no-start
+	dh_installsystemd -p $(PKG_PROXY_PGSQL) --name zabbix-proxy --no-start
+	dh_installsystemd -p $(PKG_PROXY_SQLITE3) --name zabbix-proxy --no-start
+	dh_installsystemd -p $(PKG_SERVER_MYSQL) --name zabbix-server --no-start
+	dh_installsystemd -p $(PKG_SERVER_PGSQL) --name zabbix-server --no-start
+ifdef PKG_SERVER_SQLITE3
+	dh_installsystemd -p $(PKG_SERVER_SQLITE3) --name zabbix-server --no-start
+endif

## zabbix 3.0.32+dfsg

=== debian/changelog ===
zabbix (1:3.0.32+dfsg-0+deb9u5) stretch-security; urgency=medium

  * Mention that deb9u4 fixed also CVE-2023-29454
  * Fix NEWS files for individual packages.
  * Fix sqlite3 database scheme and warn in NEWS that a new database
    is required as zabbix does not update sqlite3 database, and
    users are supposed to start with new ones on updates.
    Closes: #1051300

 -- Tobias Frost <tobi@debian.org>  Sat, 21 Oct 2023 10:28:12 +0200

zabbix (1:3.0.32+dfsg-0+deb9u4) stretch-security; urgency=medium

  * Non-maintainer upload by the ELTS team.
  * Backport patch for CVE-2013-7484: Insecure storage of passwords.
  * Disable guest user on new installs, warn via d/NEWS to disable it on
    existing installations. (CVE-2019-17382)
  * Backport upstream patch for CVE-2022-43515 - potential disclosure
    of information during maintenance mode (Closes: #1026847).
  * Backport patch for CVE-2023-29450 - unauthorized filesystem access.
  * Backport patch for CVE-2023-29451 - JSON parser uses uninitialized buffer
    on invalid UTF-8.
  * Backport upstream patch CVE-2023-29455 - Reflected XSS in graph item
    properties.
  * Backport upstream patch for CVE-2023-29457 - Reflected XSS in Action form
    fields.
  * Backport upstream patch for CVE-2023-29456 - Inefficient URL schema
    validation
  * Backport upstream patch for CVE-2023-29454 - Reflected XSS in user form.

 -- Tobias Frost <tobi@debian.org>  Sat, 09 Sep 2023 11:43:58 +0200

zabbix (1:3.0.32+dfsg-0+deb9u3) stretch-security; urgency=high

  * Non-maintainer upload by the LTS team.
  * Fix CVE-2022-24349, CVE-2022-24917 and CVE-2022-24919:
    An authenticated user can create a link with reflected Javascript code
    inside it for graphs, actions and services pages and send it to other
    users. The payload can be executed only with a known CSRF token value of
    the victim, which is changed periodically and is difficult to predict.

 -- Markus Koschany <apo@debian.org>  Tue, 12 Apr 2022 13:03:41 +0200

zabbix (1:3.0.32+dfsg-0+deb9u2) stretch-security; urgency=high

  * Non-maintainer upload by the LTS Security Team.
  * CVE-2022-23134: after the initial setup process, some steps of
    setup.php file are reachable not only by super-administrators, but by
    unauthenticated users as well. Malicious actor can pass step checks
    and potentially change the configuration of Zabbix Frontend.

 -- Sylvain Beucler <beuc@debian.org>  Mon, 07 Feb 2022 21:30:48 +0100
  

zabbix (1:3.0.32+dfsg-0+deb9u1) stretch-security; urgency=medium

  * Non-maintainer upload by the LTS Security Team.
  * New upstream release following upstream 3.0 LTS branch (last version
    before upstream EOL).
  * CVE-2020-15803: Prevent a potential cross-site scripting vulnerability via
    iframe HTML elements. (mistakenly dropped in 1:3.0.31+dfsg-0+deb9u1)
  * CVE-2019-15132: Zabbix allows User Enumeration.

 -- Sylvain Beucler <beuc@debian.org>  Mon, 19 Apr 2021 17:22:35 +0200

zabbix (1:3.0.31+dfsg-0+deb9u1) stretch-security; urgency=medium

  * Non-maintainer upload by the LTS Security Team.
  * New upstream release following upstream 3.0 LTS branch.
  * Refresh patches.
  * CVE-2020-11800: Zabbix allows remote attackers to execute arbitrary
    code.
  * CVE-2016-10742: Zabbix allows open redirect via the request parameter.
  * Revert comments-only changes in zabbix_server.conf to avoid triggering
    ucf.

 -- Sylvain Beucler <beuc@debian.org>  Tue, 17 Nov 2020 14:06:05 +0100

zabbix (1:3.0.7+dfsg-3+deb9u1) stretch-security; urgency=high

  * CVE-2020-15803: Prevent a potential cross-site scripting vulnerability via
    iframe HTML elements. (Closes: #966146)

 -- Chris Lamb <lamby@debian.org>  Mon, 03 Aug 2020 15:51:47 +0100

=== debian/rules ===
--- 
+++ 
@@ -12,7 +12,15 @@
 PKG_PROXY_SQLITE3 = zabbix-proxy-sqlite3
 PKG_SERVER_MYSQL = zabbix-server-mysql
 PKG_SERVER_PGSQL = zabbix-server-pgsql
-#PKG_SERVER_SQLITE3 = zabbix-server-sqlite3
+PKG_SERVER_SQLITE3 = zabbix-server-sqlite3
+
+# parallel build by default on linux
+ifeq ($(DEB_HOST_ARCH_OS),linux)
+    ifeq ($(findstring parallel=,$(DEB_BUILD_OPTIONS)),)
+        export DEB_BUILD_OPTIONS+=parallel=$(shell getconf _NPROCESSORS_ONLN)
+    endif
+endif
+$(info DEB_BUILD_OPTIONS=$(DEB_BUILD_OPTIONS))
 
 # These are used for cross-compiling and for saving the configure script
 # from having to guess our platform (since we know it already)
@@ -66,7 +74,7 @@
 VARIANTS := MYSQL PGSQL SQLITE3
 
 %:
-	dh $@ --max-parallel=4 --with javahelper,linktree,apache2
+	dh $@ --parallel --max-parallel=4 --with autoreconf,javahelper,systemd,linktree,apache2
 
 override_dh_clean:
 	@echo "Removing build directories in $(BUILD_PREFIX)"
@@ -137,8 +145,8 @@
         fi
         ## Directories will be replaced with symlinks:
 	if [ -d "$(CURDIR)/debian/$(PKG_FRONTEND)" ]; then \
-            rmdir -v $(CURDIR)/debian/$(PKG_FRONTEND)/usr/share/zabbix/local/app/controllers ;\
-            rmdir -v $(CURDIR)/debian/$(PKG_FRONTEND)/usr/share/zabbix/local/app/views ;\
+            rmdir -v $(CURDIR)/debian/$(PKG_FRONTEND)/usr/share/zabbix/local/app/controllers || true ;\
+            rmdir -v $(CURDIR)/debian/$(PKG_FRONTEND)/usr/share/zabbix/local/app/views || true ;\
         fi
         ## Remove .po files to save space in frontend-php:
 	if [ -d "$(CURDIR)/debian/$(PKG_FRONTEND)" ]; then \
@@ -152,12 +160,6 @@
         fi
 	jh_depends -v -p$(PKG_GATEWAY_JAVA)
 
-## jh_linkjars override is necessary with DH-11 due to the following error:
-##   jh_linkjars -O--max-parallel=4 -Nzabbix-frontend-php -Nzabbix-java-gateway
-##   Invalid option: N
-override_jh_linkjars:
-	jh_linkjars -v
-
 override_dh_apache2:
 	dh_apache2 --noenable
 
@@ -169,18 +171,4 @@
 	dh_installinit -p $(PKG_PROXY_SQLITE3) --name zabbix-proxy --no-start
 	dh_installinit -p $(PKG_SERVER_MYSQL) --name zabbix-server --no-start
 	dh_installinit -p $(PKG_SERVER_PGSQL) --name zabbix-server --no-start
-ifdef PKG_SERVER_SQLITE3
 	dh_installinit -p $(PKG_SERVER_SQLITE3) --name zabbix-server --no-start
-endif
-
-override_dh_installsystemd:
-	dh_installsystemd -p $(PKG_AGENT)
-	dh_installsystemd -p $(PKG_GATEWAY_JAVA)
-	dh_installsystemd -p $(PKG_PROXY_MYSQL) --name zabbix-proxy --no-start
-	dh_installsystemd -p $(PKG_PROXY_PGSQL) --name zabbix-proxy --no-start
-	dh_installsystemd -p $(PKG_PROXY_SQLITE3) --name zabbix-proxy --no-start
-	dh_installsystemd -p $(PKG_SERVER_MYSQL) --name zabbix-server --no-start
-	dh_installsystemd -p $(PKG_SERVER_PGSQL) --name zabbix-server --no-start
-ifdef PKG_SERVER_SQLITE3
-	dh_installsystemd -p $(PKG_SERVER_SQLITE3) --name zabbix-server --no-start
-endif

## zabbix 4.0.1+dfsg

=== debian/changelog ===
zabbix (1:4.0.1+dfsg-1) unstable; urgency=medium

  * New upstream release [October 2018].

 -- Dmitry Smirnov <onlyjob@debian.org>  Thu, 01 Nov 2018 13:21:12 +1100

zabbix (1:4.0.0+dfsg-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/watch: Use https protocol

  [ Dmitry Smirnov ]
  * New major upstream release (Closes: #900970, #888416).
  * Build-Depends:
    + libevent-dev
    + libpcre3-dev
    + zlib1g-dev
  * Depends:
    - ttf-dejavu-core
    + fonts-dejavu-core
  * Standards-Version: 4.2.1
  * New patch to un-hardcode default Hostname in agent's config
    (Closes: #727604).

 -- Dmitry Smirnov <onlyjob@debian.org>  Wed, 03 Oct 2018 00:56:15 +1000

## zabbix 4.0.2+dfsg

=== debian/changelog ===
zabbix (1:4.0.2+dfsg-1) unstable; urgency=medium

  * New upstream release [November 2018].
  * Fixed hard-coded paths to "iconv.h" and "pthread.h" (Closes: #911574).

 -- Dmitry Smirnov <onlyjob@debian.org>  Thu, 06 Dec 2018 13:57:56 +1100

## zabbix 4.0.3%2Bdfsg

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,19 @@
 Source: zabbix
 Section: net
 Priority: optional
+Standards-Version: 4.2.1
 Maintainer: Dmitry Smirnov <onlyjob@debian.org>
 Uploaders: Christoph Haas <haas@debian.org>
 Build-Depends: debhelper (>= 11~), automake, dh-linktree, apache2-dev
     ,libcurl4-gnutls-dev
+    ,libevent-dev
     ,libgnutls28-dev | gnutls-dev
     ,libiksemel-dev
     ,libldap2-dev
     ,default-libmysqlclient-dev
 # libopenipmi-dev is not available on some architectures
     ,libopenipmi-dev [!hurd-any !arm]
+    ,libpcre3-dev
     ,libpq-dev
     ,libsnmp-dev
     ,libsqlite3-dev
@@ -18,6 +21,7 @@
     ,libxml2-dev
     ,pkg-config
     ,unixodbc-dev
+    ,zlib1g-dev
 ## dh-linktree:
     ,libjs-prototype
     ,libjs-jquery-ui (>= 1.10.1)
@@ -33,7 +37,6 @@
     ,gettext
 ## frontends/php/styles/*.css:
     ,ruby-sass
-Standards-Version: 4.1.4
 Homepage: http://zabbix.com
 Vcs-Browser: https://salsa.debian.org/debian/zabbix
 Vcs-Git: https://salsa.debian.org/debian/zabbix.git
@@ -67,7 +70,7 @@
     ,php-mbstring
     ,php-xml
     ,php-pgsql | php-mysql | php-sqlite3
-    ,ttf-dejavu-core
+    ,fonts-dejavu-core
 Recommends: ${misc:Recommends}
     ,php-ldap
     ,libapache2-mod-php | php-fpm
@@ -108,7 +111,7 @@
 Depends: ${shlibs:Depends}, ${misc:Depends}, fping, adduser, lsb-base
 Recommends: default-mysql-server | virtual-mysql-server
 Suggests: logrotate
-Conflicts: zabbix-proxy-pgsql, zabbix-proxy-sqlite3, zabbix-server-mysql, zabbix-server-pgsql, zabbix-server-sqlite3
+Conflicts: zabbix-proxy-pgsql, zabbix-proxy-sqlite3, zabbix-server-mysql, zabbix-server-pgsql
 Description: network monitoring solution - proxy (using MySQL)
  Zabbix is a server/client network monitoring system with many features.
  It can be used for:
@@ -128,7 +131,7 @@
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, fping, adduser, lsb-base
 Recommends: postgresql
-Conflicts: zabbix-proxy-mysql, zabbix-proxy-sqlite3, zabbix-server-mysql, zabbix-server-pgsql, zabbix-server-sqlite3
+Conflicts: zabbix-proxy-mysql, zabbix-proxy-sqlite3, zabbix-server-mysql, zabbix-server-pgsql
 Suggests: logrotate
 Description: network monitoring solution - proxy (using PostgreSQL)
  Zabbix is a server/client network monitoring system with many features.
@@ -149,7 +152,7 @@
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, fping, adduser, lsb-base, sqlite3
 Suggests: logrotate
-Conflicts: zabbix-proxy-pgsql, zabbix-proxy-mysql, zabbix-server-mysql, zabbix-server-pgsql, zabbix-server-sqlite3
+Conflicts: zabbix-proxy-pgsql, zabbix-proxy-mysql, zabbix-server-mysql, zabbix-server-pgsql
 Description: network monitoring solution - proxy (using SQLite3)
  Zabbix is a server/client network monitoring system with many features.
  It can be used for:
@@ -174,7 +177,7 @@
 Suggests: zabbix-frontend-php, logrotate, sudo
 # SNMP:   snmp-mibs-downloader (non-free) may be required when MIBs are missing, see #740815
          ,snmp-mibs-downloader
-Conflicts: zabbix-server-pgsql, zabbix-server-sqlite3, zabbix-proxy-mysql, zabbix-proxy-pgsql, zabbix-proxy-sqlite3
+Conflicts: zabbix-server-pgsql, zabbix-proxy-mysql, zabbix-proxy-pgsql, zabbix-proxy-sqlite3
 Description: network monitoring solution - server (using MySQL)
  Zabbix is a server/client network monitoring system with many features.
  It can be used for:
@@ -199,7 +202,7 @@
 Suggests: zabbix-frontend-php, logrotate, sudo
 # SNMP:   snmp-mibs-downloader (non-free) may be required when MIBs are missing, see #740815
          ,snmp-mibs-downloader
-Conflicts: zabbix-server-mysql, zabbix-server-sqlite3, zabbix-proxy-mysql, zabbix-proxy-pgsql, zabbix-proxy-sqlite3
+Conflicts: zabbix-server-mysql, zabbix-proxy-mysql, zabbix-proxy-pgsql, zabbix-proxy-sqlite3
 Description: network monitoring solution - server (using PostgreSQL)
  Zabbix is a server/client network monitoring system with many features.
  It can be used for:
@@ -214,32 +217,3 @@
  This package provides the software needed to integrate a host as a Zabbix
  client. It collects information from Zabbix clients and stores it in a
  PostgreSQL database.
-
-#Package: zabbix-server-sqlite3
-#Architecture: any
-#Depends: ${shlibs:Depends}, ${misc:Depends}, fping, adduser, lsb-base
-#Recommends: snmpd
-#           ,nmap
-#           ,traceroute
-#Suggests: logrotate, sudo
-# SNMP:   snmp-mibs-downloader (non-free) may be required when MIBs are missing, see #740815
-#         ,snmp-mibs-downloader
-#Conflicts: zabbix-server-mysql, zabbix-server-pgsql, zabbix-proxy-mysql, zabbix-proxy-pgsql, zabbix-proxy-sqlite3
-#Description: network monitoring solution - server (using SQLite3)
-# Zabbix is a server/client network monitoring system with many features.
-# It can be used for:
-# .
-#  - high level monitoring of IT services;
-#  - centralized monitoring of your servers and applications;
-#  - monitoring of SNMP-enabled devices;
-#  - performance monitoring (process load, network activity, disk
-#    activity, memory usage, OS parameters etc.);
-#  - data visualization.
-# .
-# This package provides the software needed to integrate a host as a Zabbix
-# client. It collects information from Zabbix clients and stores it in a
-# Sqlite3 file/database
-# .
-# Warning: zabbix-server/SQLite3 is experimental and may be unstable.
-# Upstream do not support it.
-# KNOWN BUG: Causing deadlock with frontend-php.

## zabbix 4.0.3+dfsg

=== build/win32/project/Makefile ===
all: agent sender sender_dll get

agent:
	nmake /f Makefile_agent

sender:
	nmake /f Makefile_sender

sender_dll:
	nmake /f Makefile_sender_dll

get:
	nmake /f Makefile_get

clean: agent_clean sender_clean sender_dll_clean get_clean

agent_clean:
	nmake /f Makefile_agent clean

sender_clean:
	nmake /f Makefile_sender clean

sender_dll_clean:
	nmake /f Makefile_sender_dll clean

get_clean:
	nmake /f Makefile_get clean

=== debian/changelog ===
zabbix (1:4.0.3+dfsg-2~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Dmitry Smirnov <onlyjob@debian.org>  Tue, 22 Jan 2019 10:25:13 +1100

zabbix (1:4.0.3+dfsg-2) unstable; urgency=medium

  * Use bundled libjs-prototype (Closes: #919496).

 -- Dmitry Smirnov <onlyjob@debian.org>  Thu, 17 Jan 2019 13:22:40 +1100

zabbix (1:4.0.3+dfsg-1) unstable; urgency=medium

  * New upstream release [December 2018].

 -- Dmitry Smirnov <onlyjob@debian.org>  Mon, 24 Dec 2018 16:55:07 +1100

zabbix (1:3.0.17+dfsg-1~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Dmitry Smirnov <onlyjob@debian.org>  Tue, 15 May 2018 01:21:28 +1000
